# Created by pyp2rpm-3.3.3
%global pypi_name sphinx-py3doc-enhanced-theme

Name:           python-%{pypi_name}
Version:        2.4.0
Release:        %mkrel 6
Summary:        A theme based on the theme of with some responsive enhancements
Group:          Development/Python
License:        BSD
URL:            https://github.com/ionelmc/sphinx-py3doc-enhanced-theme
Source0:        https://files.pythonhosted.org/packages/source/s/sphinx-py3doc-enhanced-theme/sphinx-py3doc-enhanced-theme-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Enhanced Sphinx theme (based on Python 3 docs).

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(setuptools)

%description -n python3-%{pypi_name}
Enhanced Sphinx theme (based on Python 3 docs).

%prep
%autosetup -n sphinx-py3doc-enhanced-theme-%{version}

# Remove bundled egg-info
rm -rf *.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst tests/readme.rst
%{python3_sitelib}/sphinx_py3doc_enhanced_theme/
%{python3_sitelib}/sphinx_py3doc_enhanced_theme-%{version}-py%{python3_version}.egg-info


%changelog
* Fri Dec 08 2023 wally <wally> 2.4.0-6.mga10
+ Revision: 2015791
- rebuild for py3.12

* Wed Mar 23 2022 umeabot <umeabot> 2.4.0-5.mga9
+ Revision: 1822897
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 mrambo3501 <mrambo3501> 2.4.0-4.mga9
+ Revision: 1775803
- rebuild for python-3.10

* Mon Apr 19 2021 daviddavid <daviddavid> 2.4.0-3.mga9
+ Revision: 1717072
- rebuild for python 3.9

* Tue Feb 18 2020 umeabot <umeabot> 2.4.0-2.mga8
+ Revision: 1541925
- Mageia 8 Mass Rebuild

* Fri Jan 03 2020 wally <wally> 2.4.0-1.mga8
+ Revision: 1475674
- imported package python-sphinx-py3doc-enhanced-theme

